// Bootstrap
@import '~bootstrap/scss/bootstrap';

$font-primary: 'Poppins',Arial, sans-serif;
$primary: #0C7BC0;

body{
	font-family: $font-primary;
	font-size: 14px;
	line-height: 1.8;
	font-weight: normal;
	background: #fafafa;
	color: lighten($black,50%);
}
a {
	transition: .3s all ease;
	color: $primary;
	&:hover, &:focus {
		text-decoration: none !important;
		outline: none !important;
		box-shadow: none;
	}
}
button {
	transition: .3s all ease;
	&:hover, &:focus {
		text-decoration: none !important;
		outline: none !important;
		box-shadow: none !important;
	}
}

.ftco-section{
	padding: 7em 0;
}

.ftco-no-pt{
	padding-top: 0;
}
.ftco-no-pb{
	padding-bottom: 0;
}
//HEADING SECTION
.heading-section{
	font-size: 28px;
	color: $black;
	small{
		font-size: 18px;
	}
}

//COVER BG
.img{
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center center;
}



.navbar {
    padding: 15px 10px;
    background: #fff;
    border: none;
    border-radius: 0;
    margin-bottom: 40px;
    box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
}

.navbar-btn {
    box-shadow: none;
    outline: none !important;
    border: none;
}

//SIDEBAR
.wrapper {
  width: 100%;
}

h3{
	a{
		color: white;
	}
}

#sidebar {
  min-width: 250px;
  max-width: 250px;
  background: $primary;
  color: #fff;
  transition: all 0.3s;
  position: relative;
  .h6{
  	color: $white;
  }
  &.active{
  	margin-left: -250px;
  	.custom-menu{
			margin-right: -50px;
	  }
  }
  h1{
  	margin-bottom: 20px;
  	font-weight: 700;
  	.logo{
  		color: $white;
  	}
  }
  ul.components{
  	padding: 0;
  }
  ul{
    li{
    	font-size: 16px;
    	>ul{
    		margin-left: 10px;
    		li{
    			font-size: 14px;
    		}
    	}
    	a{
    		padding: 10px 0;
		    display: block;
		    color: rgba(255,255,255,.8);
		    border-bottom: 1px solid rgba(255,255,255,.1);
		    &:hover{
		    	color: $white;
		    }
    	}
    	&.active{
    		> a{
    			background: transparent;
    			color: $white;
    		}
    	}
    }
  }
  @include media-breakpoint-down(md){
    margin-left: -250px;
    &.active {
      margin-left: 0;
    }
    .custom-menu{
    	margin-right: -50px !important;
    	top: 10px !important;
    }
  }

  .custom-menu{
		display: inline-block;
		position: absolute;
		top: 20px;
		right: 0;
		margin-right: -20px;
		@include transition(.3s);
		.btn{
			width: 40px;
			height: 40px;
			border-radius: 50%;
			&.btn-primary{
				background: darken($primary,10%);
				border-color: darken($primary,10%);
				&:hover, &:focus{
					background: darken($primary,10%) !important;
					border-color: darken($primary,10%) !important;
				}
			}
		}
  }
}


a[data-toggle="collapse"] {
    position: relative;
}

.dropdown-toggle::after {
  display: block;
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
}

#sidebarCollapse{
	span{
		@include media-breakpoint-down(md){
	    display: none;
		}
	}
}

#content {
  width: 100%;
  padding: 0;
  min-height: 100vh;
  transition: all 0.3s;
}


.btn{
	&.btn-primary{
		background: $primary;
		border-color: $primary;
		&:hover, &:focus{
			background: $primary !important;
			border-color: $primary !important;
		}
	}
}

.footer{
	p{
		color: rgba(255,255,255,.5);
	}
}



.form-control {
	height: 40px!important;
	background: $white;
	color: $black;
	font-size: 13px;
	border-radius: 4px;
	box-shadow: none !important;
	border: transparent;
	&:focus, &:active {
		border-color: $black;
	}
	&::-webkit-input-placeholder { /* Chrome/Opera/Safari */
	  color: rgba(0,0,0,.3);
	}
	&::-moz-placeholder { /* Firefox 19+ */
	  color: rgba(0,0,0,.3);
	}
	&:-ms-input-placeholder { /* IE 0+ */
	  color: rgba(0,0,0,.3);
	}
	&:-moz-placeholder { /* Firefox 18- */
	  color: rgba(0,0,0,.3);
	}
}

#perfil {
    display: flex;
    flex-wrap: wrap;

}
  
#perfil > li {
    margin: 10px;
    padding: 20px;
    font-size: 30px;
}

#imatgePerfil{
	width: 100px;
	height: 100px;
	border: 2px solid grey;
	margin: 0;
	padding: 0;
	border-radius: 800px;
	overflow: hidden;
}
